[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'sysutils' (#rtl)

# TByteHelper.ToDouble

Convert to a double-sized floating point value

## Declaration

Source position: syshelph.inc line 396

`public function TByteHelper.ToDouble: Double;`

## Description

ToDouble converts the byte value to a double-sized floating point value.

## See also

TByteHelper.ToBoolean |  | Convert to a boolean value
TByteHelper.ToExtended |  | Convert to an extended-sized floating point value
TByteHelper.ToSingle |  | Convert to an single-sized floating point value
TByteHelper.ToString |  | Convert the value to string
TByteHelper.ToHexString |  | Convert to a hexadecimal string representation